namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IBlogCategoryRestApi
{
    [Get("")]
    Task<List<BlogCategorySDto>> ReadAll();
    [Get("")]
    Task<List<BlogCategorySDto>> ReadAll([Query] int page);
    [Get("")]
    Task<List<BlogCategorySDto>> ReadAll([Query] int page, [Query] string productName);
    [Get("")]
    Task<List<BlogCategorySDto>> ReadAll([Query] string blogCategoryName);
}